.file-upload-error-tip{
  color: red !important;
  border-color: red !important;
}
.address-info-file{
  position: relative;
  margin-bottom: 50px;
  input[name=file]{
    height: 43px;
    width: 100%;
    border: 0px; 
    box-shadow: none;
    outline: none; 
  }
  .address-info-file-upload{
    padding: 10px 0;
    border: 1px #ccc dashed;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    pointer-events: none; 
    background: white;
  } 
} 

.upload-datas-exceptions-tip{
  line-height: 3rem;
  padding-left: 1.6rem;
  font-weight: bolder;
  color: red;
}

.excel-tip-for-user{
    font-size: 1rem;
    color: #b5b5b5;
}

//进度条 
.upload-wrapper{
  @extend .flex-center;
  @include flex-direction(column);
  z-index:2;
  padding: 1rem 0px;
  border: 1px #ccc dashed;
  .is-drag-over,.err-child-is-drag-over{
      display: none;
  }
  .tip-for-drag{
      display: block;
  }     
  &.file-drag-over{
      border-color: #5579ba !important;
      .is-drag-over,.err-child-is-drag-over{
          display: block !important;
          color: #888787 !important;
      }
      .tip-for-drag, .file-upload-error-tip,.selected-file-name{
          display: none !important;
      }
  }
  &.progress-success{
    color: #4aff00;
    border-color: #4aff00;
  }
  &.progress-failure{
    color: red;
    border-color: red;
  }
}
span.upload-progress{
    position: absolute;
    background: rgb(223, 240, 216);
    top: 1px; 
    bottom: 1px;
    left: 0px;  
    display: block;
    z-index: -1;
}
 
